REST APIWallet & TransactPending approval

PUT

Updates the state of a pending approval to approved or rejected. You can manage pending approvals programmatically by API or with the BigGo web UI. Ensure your authentication token has the proper scope. When creating an access token in the web UI, check the permission, "Update Pending Approvals" (under "Account Settings" > "Developer Options" > "Access Tokens").

BitGo recommends that you create a webhook policy so that you can automate approving and rejecting transactions.

Path Params

  • approvalId string required

    matches ^[0-9a-f]{32}$

Body Params

object

  • otp string
  • state string

Responses

200
OK

Response Body

object

  • id string

    matches ^[0-9a-f]{32}$

  • coin string
    A cryptocurrency or token ticker symbol.
  • wallet string

    matches ^[0-9a-f]{32}$

  • enterprise string

    matches ^[0-9a-f]{32}$

  • organization string

    matches ^[0-9a-f]{32}$

  • creator string

    matches ^[0-9a-f]{32}$

  • createDate string date-time
  • info object

    ANY OF

    • transactionRequest object
      transactionRequest object
      • buildParams object
      • coinSpecific object
      • comment string
      • fee string or integer
      • isUnsigned boolean
      • recipients array of objects
        recipients object
        • address string

          up to 500 characters

        • amount string or integer
        • data string
      • requestedAmount object
        requestedAmount object
        • Same shape as PlatformIntegerOrIntegerString.
      • sourceWallet string

        matches ^[0-9a-f]{32}$

      • triggeredPolicy string

        matches ^[0-9a-f]{32}$

      • validTransaction string
      • validTransactionHash string
    • type string enum
      transactionRequest
  • state string

    ANY OF

    string enum

  • scope string enum
    What kind of entity the Pending Approval is tied to
    enterprisewallet
  • userIds array of strings
    All the Users who should see this Pending Approval
  • approvalsRequired integer

    >= 1

  • walletLabel string
  • resolvers array of objects
    resolvers object
    • user string required
    • date string required
    • resolutionType string enum required
      approvedawaitingSignaturependingpendingBitGoAdminApprovalpendingCryptographicApprovalpendingCustodianApprovalpendingFinalApprovalpendingIdVerificationpendingVideoApprovalprocessingrejected
    • signatures array of strings required
    • videoApprover string
    • videoLink string
    • videoException string
  • addressLabels array of objects
    addressLabels object
    • address string required

      up to 500 characters

    • label string nullable required
      A human-readable label for the address.

      up to 250 characters

    • walletLabel string
202
Accepted

Response Body

object

  • id string

    matches ^[0-9a-f]{32}$

  • coin string
    A cryptocurrency or token ticker symbol.
  • wallet string

    matches ^[0-9a-f]{32}$

  • enterprise string

    matches ^[0-9a-f]{32}$

  • organization string

    matches ^[0-9a-f]{32}$

  • creator string

    matches ^[0-9a-f]{32}$

  • createDate string date-time
  • info object

    ANY OF

    • transactionRequest object
      transactionRequest object
      • buildParams object
      • coinSpecific object
      • comment string
      • fee string or integer
      • isUnsigned boolean
      • recipients array of objects
        recipients object
        • address string

          up to 500 characters

        • amount string or integer
        • data string
      • requestedAmount object
        requestedAmount object
        • Same shape as PlatformIntegerOrIntegerString.
      • sourceWallet string

        matches ^[0-9a-f]{32}$

      • triggeredPolicy string

        matches ^[0-9a-f]{32}$

      • validTransaction string
      • validTransactionHash string
    • type string enum
      transactionRequest
  • state string

    ANY OF

    string enum

  • scope string enum
    What kind of entity the Pending Approval is tied to
    enterprisewallet
  • userIds array of strings
    All the Users who should see this Pending Approval
  • approvalsRequired integer

    >= 1

  • walletLabel string
  • resolvers array of objects
    resolvers object
    • user string required
    • date string required
    • resolutionType string enum required
      approvedawaitingSignaturependingpendingBitGoAdminApprovalpendingCryptographicApprovalpendingCustodianApprovalpendingFinalApprovalpendingIdVerificationpendingVideoApprovalprocessingrejected
    • signatures array of strings required
    • videoApprover string
    • videoLink string
    • videoException string
  • addressLabels array of objects
    addressLabels object
    • address string required

      up to 500 characters

    • label string nullable required
      A human-readable label for the address.

      up to 250 characters

    • walletLabel string